Page MenuHomePhabricator

[Story] Display Wikidata pages on mobile watchlist with labels instead of Q id titles
Open, NormalPublic

Description

the mobile watchlist only shows the Q id titles for Wikidata pages and not labels.

F2666241

this is handled in MobileFrontend by WatchstarPageList, which is also used for Special:Nearby and possibly other things. so if we fix this, then Special:Nearby is fixed as well.

Event Timeline

aude created this task.Oct 8 2015, 2:20 PM
aude raised the priority of this task from to Normal.
aude updated the task description. (Show Details)
aude added projects: Wikidata, MobileFrontend.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2015, 2:20 PM

Change 244698 had a related patch set uploaded (by Daniel Kinzler):
Allow the PageTerms API module to work on the repo.

https://gerrit.wikimedia.org/r/244698

Jdlrobson edited projects, added Mobile; removed MobileFrontend.Oct 9 2015, 5:54 PM
Jdlrobson set Security to None.

Change 244698 had a related patch set uploaded (by Daniel Kinzler):
Allow the PageTerms API module to work on the repo.

https://gerrit.wikimedia.org/r/244698

Change 244698 merged by jenkins-bot:
Allow the PageTerms API module to work on the repo.

https://gerrit.wikimedia.org/r/244698

Change 246110 had a related patch set uploaded (by Aude):
Introduce displaytext ApiQuery prop [WIP]

https://gerrit.wikimedia.org/r/246110

Bene added a subscriber: Bene.Nov 19 2015, 2:07 PM

this is handled in MobileFrontend by WatchstarPageList, which is also used for Special:Nearby and possibly other things. so if we fix this, then Special:Nearby is fixed as well.

@aude how can this now work on Special:Nearby but not work on the watchlist? o_O

aude added a comment.Nov 19 2015, 2:39 PM

it appears that the special page is actually rendered by php and then the javascript just (optionally) adds stuff like the watch stars.

https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/master/includes/specials/SpecialMobileEditWatchlist.php#L45-L70

title text simply comes from:

$titleText = $title->getPrefixedText()

Change 246110 abandoned by Aude:
Introduce displaytext ApiQuery prop [WIP]

https://gerrit.wikimedia.org/r/246110

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:53 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 5:53 PM